ProviderInstancesOperations Class
ProviderInstancesOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectProviderInstancesOperations
Constructor
ProviderInstancesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_create |
Creates a provider instance. Creates a provider instance for the specified subscription, resource group, SapMonitor name, and resource name. |
| begin_delete |
Deletes a provider instance. Deletes a provider instance for the specified subscription, resource group, SapMonitor name, and resource name. |
| get |
Gets properties of a provider instance. Gets properties of a provider instance for the specified subscription, resource group, SapMonitor name, and resource name. |
| list |
Gets a list of provider instances in the specified SAP monitor. Gets a list of provider instances in the specified SAP monitor. The operations returns various properties of each provider instances. |
begin_create
Creates a provider instance.
Creates a provider instance for the specified subscription, resource group, SapMonitor name, and resource name.
begin_create(resource_group_name: str, sap_monitor_name: str, provider_instance_name: str, provider_instance_parameter: _models.ProviderInstance, **kwargs: Any) -> LROPoller[_models.ProviderInstance]
Parameters
- provider_instance_parameter
- ProviderInstance
Request body representing a provider instance.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
Pass in True if you'd like the ARMPolling polling method, False for no polling, or your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either ProviderInstance or the result of cls(response)
Return type
Exceptions
begin_delete
Deletes a provider instance.
Deletes a provider instance for the specified subscription, resource group, SapMonitor name, and resource name.
begin_delete(resource_group_name: str, sap_monitor_name: str, provider_instance_name: str, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
Pass in True if you'd like the ARMPolling polling method, False for no polling, or your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
get
Gets properties of a provider instance.
Gets properties of a provider instance for the specified subscription, resource group, SapMonitor name, and resource name.
get(resource_group_name: str, sap_monitor_name: str, provider_instance_name: str, **kwargs: Any) -> _models.ProviderInstance
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ProviderInstance, or the result of cls(response)
Return type
Exceptions
list
Gets a list of provider instances in the specified SAP monitor.
Gets a list of provider instances in the specified SAP monitor. The operations returns various properties of each provider instances.
list(resource_group_name: str, sap_monitor_name: str, **kwargs: Any) -> Iterable[_models.ProviderInstanceListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ProviderInstanceListResult or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.hanaonazure.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\hanaonazure\\models\\__init__.py'>
Feedback
Submit and view feedback for